@tailwind base;
@tailwind components;
@tailwind utilities;

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
body {
  color: #FFFFFF;
  font-family: 'Noto Sans', sans-serif;
  background: #080e23 url('/images/background.webp') no-repeat top 80px center / 100%;
  position: relative;
  min-height: 100vh;
}
button {
  cursor: pointer;
  font-family: 'Noto Sans', sans-serif;
  box-shadow: unset;
  border: none;
}
.container {
  padding-right: 16px;
  padding-left: 16px;
  max-width: 1200px;
  margin: auto;
}
.container-fluid {
  padding-right: 80px;
  padding-left: 80px;
  width: 100%;
}
a {
  text-decoration: unset;
}
.flex {
  display: flex;
}
.alignItems-center {
  align-items: center;
}
.alignItems-end {
  align-items: flex-end;
}
.justifyContent-center {
  justify-content: center;
}
.justifyContent-between {
  justify-content: space-between;
}
.justifyContent-end {
  justify-content: flex-end;
}

/************** Layout1 /***************/
header {
  height: 80px;
  padding-top: 20px;
  padding-bottom: 20px;
  background-color: rgba(0, 0, 0, 0.1);
  display: flex;
  align-items: center;
}
header .logo img {
  height: 37px;
}
header .language-switcher {
  display: inline-flex;
  align-items: center;
}
header .language-switcher .divider {
  height: 14px;
  width: 1px;
  background-color: #FFFFFF;
  margin: 0 6px;
}
header .language-switcher span {
  color: #929292;
  cursor: pointer;
}
header .language-switcher span.active {
  color: #FFFFFF;
}

footer .wrap {
  display: flex; 
  justify-content: space-between;
  align-items: flex-end;
  padding-bottom: 75px;
}
footer .wrap > * {
  flex: 1;
}
footer .copyright {
  display: flex;
  flex-direction: column;
  align-items: center;
}
footer .copyright img {
  margin-bottom: 32px;
}
footer a {
  color: #00bfff;
  font-weight: bold;
}
footer .hyperlink {
  display: flex;
  align-items: center;
  justify-content: flex-end;
}
footer .hyperlink > a {
  display: block;
  margin: 0 15px;
}
footer .hyperlink > a:last-child {
  margin-right: 0;
}

/************** Layout2 /***************/
header .header-right {
  display: flex;
  align-items: center;
  justify-content: flex-end;
}
header .btn-minting {
  font-size: 16px;
  font-weight: bold;
  color: #FFFFFF;
}
header .account {
  color: #FFFFFF;
  margin-right: 25px;
  display: flex;
  align-items: center;
}
header .wallet-balance {
  background-color: #FFFFFF;
  color: #000000;
  padding: 6px 12px;
  font-size: 14px;
  font-weight: 600;
  border-radius: 30px;
  margin-right: 20px;
}
footer.layout2 {
  position: absolute;
  bottom: 34px;
  right: 60px;
  z-index: 99;
}
footer.layout2 .hyperlink {
  flex-direction: column;
}
footer.layout2 .hyperlink > a {
  margin: 10px 0;
}
footer.layout2 .hyperlink > a:first-child {
  margin-top: 0;
}
footer.layout2 .hyperlink > a:last-child {
  margin-bottom: 0;
}
.connect-wallet {
  color: #FFFFFF;
  border: 2px solid #FFFFFF;
  border-radius: 30px;
  padding: 8px 24px;
  background-color: #0d0d0d;
  font-size: 14px;
  margin-right: 20px;
}
.gallery-item {
  border-radius: 10px;
  border-style: solid;
  border-width: 2px;
  border-image-source: conic-gradient(from 0.4turn, #09adc2, #7f60ff 0.27turn, #ad00ff 0.51turn, #f88888 0.7turn, #b765de 0.8turn, #09adc2);
  border-image-slice: 1;
  background-image: linear-gradient(to bottom, #18082e, #18082e), conic-gradient(from 0.4turn, #09adc2, #7f60ff 0.27turn, #ad00ff 0.51turn, #f88888 0.7turn, #b765de 0.8turn, #09adc2);
  background-origin: border-box;
  background-clip: content-box, border-box;
  overflow: hidden;
}
.gallery-item img {
  height: 340px;
  width: 100%;
}
